<?
 $chat2=@file("../local/datachat/$id_room.chat");
 $chat2_k=count($chat2);
 $time=time();
 $lp_ok='0';
 ///////// последний пост шутника ////////////////
 for ($i=0;$i<$chat2_k;$i++){
 	$post2=explode(":||:",$chat2[$i]);
 	if ($post2[4]=='2'){
 		$post=$post2;
 		$post_m=$i;
 		$lp_ok='1';  // пост найден
 		$lastpost=$post;
 		}
 	}
 	$vr5='45'; // промежуток, через который показывается новый анекдот
 	///////////////////////////////////////////////////////
 	$time2=$time+$vr5;
 	if ($lp_ok=='0'||$post[5]<$time) // задается вопрос
 	{
 		$anekdoty=file("anekdoty.dat");
 		$anekdoty_k=count($anekdoty);
 		$rand_anekdot=rand(0,$anekdoty_k-1);
 		$anekdot=$anekdoty[$rand_anekdot];
 		$anekdot=base64_encode($anekdot);
 		$date=base64_encode(date("(G:i)"));
 		$fm=fopen("../local/datachat/$id_room.chat","a");
 		flock($fm,LOCK_EX);
 		fputs($fm,"Шутник:||:$date:||:$anekdot:||::||:2:||:$time2:||::||::||::||::||::||:\r\n");
 		fflush($fm);
 		flock($fm,LOCK_UN);
 		fclose($fm);
 		chmod ("../local/datachat/$id_room.chat", 0666);
 		}
?>
